Bug 1348239 - [RFE] Catalog Item Type in Service Catalog item disappears and therefore is unknown after service catalog item creation
Summary: [RFE] Catalog Item Type in Service Catalog item disappears and therefore is u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-20 14:19 UTC by lkerner
Modified: 2017-05-31 14:20 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:20:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description lkerner 2016-06-20 14:19:00 UTC
Description of problem:
When creating a catalog item, the user is asked to select a "catalog item type" from a drop down item. After selecting the catalog item type and creating the service catalog item, the catalog item type is unknown on the service catalog item. This causes confusion when looking back at the service catalog items since it is not known what catalog item types they are. 

Version-Release number of selected component (if applicable):
Version: 5.6.0.9-rc2.20160531154046_b4e2f6d


How reproducible: always


Steps to Reproduce:
1. Go to service->catalogs->catalog items->add a new catalog item
2. choose a catalog item type from the drop down.
3. Fill out the rest of the info for the basic info and request info tabs for creating the service catalog item. 

Actual results:
Once filling out all the information for creating a new service catalog item, it is not known now what  catalog item type the service catalog item is. 

Expected results:
It would be nice to know the catalog item types for all service catalog items. 


Additional info:

Comment 2 Harpreet Kataria 2017-01-16 17:53:45 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/165 - UI changes
https://github.com/ManageIQ/manageiq/pull/13516 - Model changes in core repo

Comment 3 CFME Bot 2017-02-07 09:11:20 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a729022a10d7662859da6f4d1c0c055bb00c0d45

commit a729022a10d7662859da6f4d1c0c055bb00c0d45
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jan 16 12:49:25 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Jan 19 10:05:23 2017 -0500

    Moved list of CATALOG_ITEM_TYPES to model.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1348239

 app/models/service_template.rb     | 14 ++++++++++++++
 product/views/ServiceTemplate.yaml |  3 +++
 2 files changed, 17 insertions(+)

Comment 4 CFME Bot 2017-02-07 09:13:20 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/faf999946af2c72fb9b18d0365e885ddffd33bc9

commit faf999946af2c72fb9b18d0365e885ddffd33bc9
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jan 16 12:45:18 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Jan 19 11:01:18 2017 -0500

    Added changes to show Catalog Item type in UI
    
    Show nice display value for Catalog Item type in list view, Catalog Item detail view and as read only text on the add/edit screens. Moved list of catalog item types out of @edit hash, we can directly reference the constant from views.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1348239

 app/controllers/application_controller.rb    |  2 ++
 app/controllers/catalog_controller.rb        | 16 ----------------
 app/views/catalog/_form_basic_info.html.haml |  7 +++++++
 app/views/catalog/_sandt_tree_show.html.haml |  6 ++++++
 app/views/catalog/_st_form.html.haml         |  2 +-
 5 files changed, 16 insertions(+), 17 deletions(-)

Comment 5 Shveta 2017-03-13 04:58:02 UTC
Item type is shown now.
Verified in 5.8.0.4.20170307183144_745a3d9

Comment 7 errata-xmlrpc 2017-05-31 14:20:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.